Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d.simple
Class Arrow

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Group
                  javax.media.j3d.TransformGroup
                      sim.portrayal3d.simple.Arrow

    public class Arrow

extends javax.media.j3d.TransformGroup

Field Summary

Fields inherited from class javax.media.j3d.TransformGroup
`ALLOW_TRANSFORM_READ, ALLOW_TRANSFORM_WRITE`

Fields inherited from class javax.media.j3d.Group
`ALLOW_CHILDREN_EXTEND, ALLOW_CHILDREN_READ, ALLOW_CHILDREN_WRITE, ALLOW_COLLISION_BOUNDS_READ, ALLOW_COLLISION_BOUNDS_WRITE`

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Constructor Summary
`Arrow(double arrowTailRadius, Double3D startPoint, Double3D endPoint, java.lang.String stLabel, java.lang.String endLabel, javax.media.j3d.Appearance appearance)` Creates a 3D arrow between points `startPoint` and `endPoint` if either label is not null, it adds a Text2D object at the appropriate end.

Method Summary
`com.sun.j3d.utils.geometry.Cone` | `getArrowHead()`
`com.sun.j3d.utils.geometry.Cylinder` | `getArrowTail()`

Methods inherited from class javax.media.j3d.TransformGroup
`cloneNode, getTransform, setTransform`

Methods inherited from class javax.media.j3d.Group
`addChild, getAllChildren, getAlternateCollisionTarget, getChild, getCollisionBounds, indexOfChild, insertChild, moveTo, numChildren, removeAllChildren, removeChild, removeChild, setAlternateCollisionTarget, setChild, setCollisionBounds`

Methods inherited from class javax.media.j3d.Node
`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setUserData, updateNodeReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Arrow

    public Arrow(double arrowTailRadius,
                 Double3D startPoint,
                 Double3D endPoint,
                 java.lang.String stLabel,
                 java.lang.String endLabel,
                 javax.media.j3d.Appearance appearance)

  Creates a 3D arrow between points `startPoint` and `endPoint` if either label is not null, it adds a Text2D object at the appropriate end.

Method Detail

### getArrowTail

    public com.sun.j3d.utils.geometry.Cylinder getArrowTail()

### getArrowHead

    public com.sun.j3d.utils.geometry.Cone getArrowHead()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD